<!-- prettier-ignore-start -->
# Class SuggestedProduct

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.suggest.SuggestedProduct](dw.suggest.SuggestedProduct.md)

This class represents a suggested product.
Use [getProductSearchHit()](dw.suggest.SuggestedProduct.md#getproductsearchhit) method to get access to the actual [ProductSearchHit](dw.catalog.ProductSearchHit.md) object.



## Property Summary

| Property | Description |
| --- | --- |
| [productSearchHit](#productsearchhit): [ProductSearchHit](dw.catalog.ProductSearchHit.md) `(read-only)` | This method returns the actual [ProductSearchHit](dw.catalog.ProductSearchHit.md) object  corresponding to this suggested product. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getProductSearchHit](dw.suggest.SuggestedProduct.md#getproductsearchhit)() | This method returns the actual [ProductSearchHit](dw.catalog.ProductSearchHit.md) object  corresponding to this suggested product. |

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### productSearchHit
- productSearchHit: [ProductSearchHit](dw.catalog.ProductSearchHit.md) `(read-only)`
  - : This method returns the actual [ProductSearchHit](dw.catalog.ProductSearchHit.md) object
      corresponding to this suggested product.



---

## Method Details

### getProductSearchHit()
- getProductSearchHit(): [ProductSearchHit](dw.catalog.ProductSearchHit.md)
  - : This method returns the actual [ProductSearchHit](dw.catalog.ProductSearchHit.md) object
      corresponding to this suggested product.


    **Returns:**
    - the product search hit corresponding to this suggested product


---

<!-- prettier-ignore-end -->
